2021-01-24 14:28 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003334Spring engineGeneralpublic2012-12-09 02:49
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version91.0 
Target VersionFixed in Version 
Summary0003334: Springie related bomber attack ground failure
DescriptionAttack ground orders given to bombers are removed when the game is hosted on Springie. In BA and ZK with luarules disabled, the bombers remove their attack ground order after the order becomes the first order in it's queue.

In ZK without luarules disabled the bombers only lose their attack ground order if there is an order after the attack ground order. This is likely to be due to this gadget: http://code.google.com/p/zero-k/source/browse/trunk/mods/zk/LuaRules/Gadgets/i_hate_cmd_set_wanted_max_speed.lua. The bug was very noticeable when all attack ground commands were removed. The fact that this gadget works indicates that a command after attack ground causes the order to be removed.

No bug occurs when a game is started directly with spring.exe.
Steps To Reproduce * Start a game of BA using Springie
 * '/give corshad'
 * Give corshad an attack ground order

Alternate method:
 * Start a game of BA using Springie
 * '/give corshad'
 * Give corshad a move then shift queued attack ground order. The attack ground order will be removed once the move command is complete.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0009359

Google_Frog (reporter)

This bug seems to occur for all weapons with commandFire=1.

Units with commandFire weapons which use CMD.MANUALFIRE have the order removed if there is an order after their MANUALFIRE order. This occurs when spring.exe is run locally.

~0009360

FLOZi (reporter)

Had the same / similar issue with some S44 units regardless of Springie or not - The partisan supply drop plane in particular. Even removing commandfire from the weapons didn't change it, it was some weird issue with shift queuing commands.

http://spring1944.svn.sourceforge.net/viewvc/spring1944/trunk/S44Main.sdd/LuaRules/Gadgets/game_planes.lua?r1=3787&r2=3786&pathrev=3787

~0009386

silentwings (reporter)

I've come across similar issues while trying to fix the ground attack behaviour of the liche (armcybr) in BA.

~0009493

Google_Frog (reporter)

Seems to be fixed.
+Notes

-Issue History
Date Modified Username Field Change
2012-11-17 04:36 Google_Frog New Issue
2012-11-17 04:36 Google_Frog File Added: 20121117_140821_Small_Divide-Remake-v04_91.sdf
2012-11-17 04:47 Google_Frog Note Added: 0009359
2012-11-17 18:33 FLOZi Note Added: 0009360
2012-11-25 13:17 silentwings Note Added: 0009386
2012-12-09 01:56 Google_Frog Note Added: 0009493
2012-12-09 02:49 jK Status new => resolved
2012-12-09 02:49 jK Resolution open => fixed
2012-12-09 02:49 jK Assigned To => Kloot
+Issue History